#pragma once
#include "gamestate.h"
#include "LDTypes.h"
#include "Unit.h"

#include <map>



class CGSMenu : public CGameState
{

  public:

    CGSMenu();
    virtual ~CGSMenu();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFrame( const float fElapsedTime );

    virtual void            OnChar( int iChar );
    virtual void            OnKeyDown( int iChar );
    virtual void            OnMouse( int X, int Y, int Buttons );


    void                    InitUniverse();

};
